Bug 10468 - linuxconf messes up after sendmail is removed
linuxconf messes up after sendmail is removed
Product: Red Hat Linux
Classification: Retired
Component: linuxconf (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Depends On:
  Show dependency treegraph
Reported: 2000-03-30 21:26 EST by Sam Varshavchik
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-03-30 21:26:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Sam Varshavchik 2000-03-30 21:26:43 EST
Situation: sendmail RPM removed.  Another mail server is installed which
provides a sendmail-compatible command line mail submitter.
/usr/sbin/sendmail, and others, are soft links that point to this sendmail
command line emulator.  The other mail server's RPM also includes a
"provides" of "smtpdaemon".

When exiting linuxconf, linuxconf wants to do a bunch of things it really
shouldn't.  linuxconf tells me that it wants to create /var/spool/mqueue,
because it's not there anymore.

Well, I wouldn't really mind that, it doesn't matter, except that linuxconf
wants to do something else that's a bit more disturbing.  Apparently,
linuxconf reads the /usr/sbin/sendmail (or /usr/lib/sendmail) soft link,
and it wants to change the *underlying* executable's ownership and
permissions to what sendmail's permissions should be.  That's what
linuxconf tells me that it wants to do, before it exits.  The other mail
server's sendmail emulator is installed nowhere close to where sendmail
normally lives, and my mail server is not a monolithic root setuid beast,
and changing my mail server's command line injector to run setuid root is a
disaster that's waiting to happen.

There's no good reason for linuxconf to do this.  sendmail is not
installed, there is no sendmail RPM, and there isn't anything calling
itself "sendmail" that's installed where sendmail normally lives.
Comment 1 Nalin Dahyabhai 2000-09-12 14:50:41 EDT
This is fixed in Raw Hide; Linuxconf will no longer inspect or verify the
permissions on /usr/sbin/sendmail.

Note You need to log in before you can comment on or make changes to this bug.